package com.ruoyi.common.core.constant;

/**
 * 任务调度通用常量
 * 
 * @author ruoyi
 */
public class ScheduleConstants
{
    public static final String TASK_CLASS_NAME = "TASK_CLASS_NAME";

    /** 执行目标key */
    public static final String TASK_PROPERTIES = "TASK_PROPERTIES";

    /** 默认 */
    public static final String MISFIRE_DEFAULT = "0";

    /** 立即触发执行 */
    public static final String MISFIRE_IGNORE_MISFIRES = "1";

    /** 触发一次执行 */
    public static final String MISFIRE_FIRE_AND_PROCEED = "2";

    /** 不触发立即执行 */
    public static final String MISFIRE_DO_NOTHING = "3";

    public enum Status
    {
        /**
         * 正常
         */
        NORMAL("0"),
        /**
         * 暂停
         */
        PAUSE("1"),

        //是否审核
        /**
         * 待送审
         */
        PENDING_REVIEW("1"),
        /**
         * 审核中
         */
        IN_REVIEW("2"),
        /**
         * 通过
         */
        PASS("3"),
        /**
         * 不通过
         */
        NO_PASS("4"),

        //发布状态
        /**
         * 未发布
         */
        UNPUBLISHED("1"),
        /**
         * 已发布
         */
        PUBLISHED("2"),

        //对账方法
        /**
         * 手动对账
         */
        HAND_MOVEMENT("1"),
        /**
         * 定期对账
         */
        PERIODICAL("2"),
        ;

        private String value;

        private Status(String value)
        {
            this.value = value;
        }

        public String getValue()
        {
            return value;
        }
    }
}
